#include <iostream>
#include <fstream>

using namespace std;

int main() {
    string filename;
    cout << "Введите имя файла: ";
    cin >> filename;
    ofstream outFile(filename);
    if (!outFile) {
        cerr << "Ошибка при открытии файла!" << endl;
        return 1;
    }
    cin.ignore();
    for (int i = 0; i < 5; ++i) {
        string line;
        cout << "Введите строку " << i + 1 << ": ";
        getline(cin, line);
        outFile << line << endl;
    }
    outFile.close();
    return 0;
}
